package me.km.blocks.leaves;

import java.util.Random;
import me.km.blocks.ModBlocks;
import me.km.items.ModItems;
import static net.minecraft.block.Block.spawnAsEntity;
import net.minecraft.block.BlockPlanks;
import net.minecraft.block.state.IBlockState;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

public class BlockApricotLeaves extends BlockLeaves
{
    public BlockApricotLeaves(String name, String local) 
    {
        super(name, local, BlockPlanks.EnumType.OAK);
    }
  
    @Override
    public Item getItemDropped(IBlockState state, Random rand, int fortune)
    {
        return Item.getItemFromBlock(ModBlocks.apricotSapling);
    }
    
    @Override
    protected void dropApple(World worldIn, BlockPos pos, IBlockState state, int chance)
    {
        if(worldIn.rand.nextInt(chance) == 0)
        {
            spawnAsEntity(worldIn, pos, new ItemStack(ModItems.apricot));
        }
    }
}
