package me.km.snuviscript;

import me.hammerle.snuviscript.code.Script;
import me.km.inventory.CustomContainer;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.inventory.ClickType;

public class ScriptInventoryHolder extends CustomContainer
{
    private final Script sc;

    public ScriptInventoryHolder(SnuviInventory inv, EntityPlayerMP p, Script qd) 
    {
        super(inv, p);
        this.sc = qd;
    }

    @Override
    public boolean onButtonClick(int slot, int dragType, ClickType click, EntityPlayerMP p)
    {
        return ScriptEvents.onInventoryClick(sc, (SnuviInventory) inv, slot, click, p);
    }

    @Override
    public void onContainerClosed(EntityPlayer p) 
    {
        ScriptEvents.onInventoryClose(sc, (SnuviInventory) inv, p);
        super.onContainerClosed(p);
    }
}
