package me.km.databank;

import java.sql.ResultSet;
import java.sql.SQLException;

public interface IStatement
{
    public void validate() throws SQLException;
    public void close() throws SQLException; 
    
    public void setInt(int index, int i) throws SQLException;
    public void setLong(int index, long l) throws SQLException;
    public void setFloat(int index, float f) throws SQLException;
    public void setDouble(int index, double d) throws SQLException;
    public void setString(int index, String s) throws SQLException;
    
    public ResultSet executeQuery() throws SQLException;
    public void executeUpdate() throws SQLException;
}
